package utils

import (
	"strings"
	"unicode"
)

func RemoveSpacesFromStr(origin string) string {
	return strings.Map(func(r rune) rune {
		if unicode.IsSpace(r) {
			return -1
		}
		return r
	}, origin)
}

func StrInSlice(key string, sl []string) bool {
	for _, i := range sl {
		if key == i {
			return true
		}
	}
	return false
}
